Bug 1571877 - [RFE] Additional support for Dynamic Parameter Injection
Summary: [RFE] Additional support for Dynamic Parameter Injection
Keywords:
Status: NEW
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 5.1
Assignee: Josh Durgin
QA Contact: Manohar Murthy
URL:
Whiteboard:
: 1586204 (view as bug list)
Depends On:
Blocks: 1725227
TreeView+ depends on / blocked
 
Reported: 2018-04-25 15:04 UTC by Mike Hackett
Modified: 2021-06-29 07:41 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Mike Hackett 2018-04-25 15:04:06 UTC
Description of problem:

There is a need for improvement through new features to make troubleshooting easier through the dynamic injection of parameters to modify the behavior of the software to provide the user with a quicker way to react in order to stabilize a cluster. 

The parameters that should be dynamically accessible include, but are not limited to:

Pool migration scenario - To make troubleshooting much easier, being able to inject some timeout values. For example, the following settings are not injectable, which made it very difficult to get out of a cascading failure with a pool migration at a customer site:

osd_op_thread_timeout=2000
filestore_op_thread_timeout=2000
osd_recovery_max_omap_entries_per_chunk = 1024

Cluster tuning/stabilizing - after or during a hardware failure or a pool migration:

All scrubbing parameters
All recovery and backfill parameters

Having to set these commands and restarting thousands of OSD's is not practical and dynamic injection is required.

Version-Release number of selected component (if applicable):
3.0

Comment 5 Giridhar Ramaraju 2019-08-05 13:10:12 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 6 Giridhar Ramaraju 2019-08-05 13:11:18 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 9 Josh Durgin 2019-09-27 22:49:42 UTC
*** Bug 1586204 has been marked as a duplicate of this bug. ***

Comment 10 Yaniv Kaul 2020-12-09 13:25:13 UTC
Moving to 5.1, although it's not clear to me if we have concrete work here that we are committed to implement.


Note You need to log in before you can comment on or make changes to this bug.